/*
 *  configuration.h - functions parsing the configuration file
 *
 *  Copyright (C) 1998 Hugo Haas
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef CONFIGURATION_H
#define CONFIGURATION_H

int log_protocols(char *filename);
void parse_host_options(char *filename);

/* Define the keywords for the configuration file */
#define RUN_KW  "run"

#define LOG_KW		"log"
#define IGNORE_KW	"ignore"

#define ICMP_KW "icmp"
#define TCP_KW  "tcp"
#define ALL_KW  "all"

#define TYPE_KW		"type"
#define FROM_KW		"from"

/* Which daemon to run? */
#define RUN_ICMP 1
#define RUN_TCP  2

/* Keywords describing the ICMP message types */
#define ICMP_ECHOREPLY_KW		"echo_reply"
#define ICMP_DEST_UNREACH_KW		"dest_unreach"
#define ICMP_SOURCE_QUENCH_KW		"src_quench"
#define ICMP_REDIRECT_KW		"redirect"
#define ICMP_ECHO_KW			"echo_req"
#define ICMP_ROUTER_ADVERT_KW		"router_advert"
#define ICMP_ROUTER_SOLICITATION_KW	"router_solicit"
#define ICMP_TIME_EXCEEDED_KW		"time_exceeded"
#define ICMP_PARAMETERPROB_KW		"param_problem"
#define ICMP_TIMESTAMP_KW		"ts_req"
#define ICMP_TIMESTAMPREPLY_KW		"ts_reply"
#define ICMP_INFO_REQUEST_KW		"info_req"
#define ICMP_INFO_REPLY_KW		"info_reply"
#define ICMP_ADDRESS_KW			"addr_mask_req"
#define ICMP_ADDRESSREPLY_KW		"addr_mask_reply"

#endif

/*
 * $Log: configuration.h,v $
 * Revision 1.4  1998/11/29 21:51:12  hugo
 * Now recognises ICMP message keywords
 *
 * Revision 1.3  1998/11/29 20:50:11  hugo
 * New filtering mechanism
 *
 * Revision 1.2  1998/10/25 23:23:26  hugo
 * Added 'from' options parsing
 *
 * Revision 1.1  1998/10/25 15:06:50  hugo
 * Initial revision
 *
 */
