/*
 *  filter.h - Filtering mechanism
 *
 *  Copyright (C) 1998 Hugo Haas
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef FILTER_H
#define FILTER_H

#include "defines.h"

/* Filter entry */

struct filter_entry {
  short log;		/* TRUE for "log", FALSE for "ignore" */
  /* Protocol type */
  short protocol;
  /* Range for type */
  long range_min;	/* NOT_DEFINED if not used */
  long range_max;
  /* Host description */
  char *hostname;
  __u32 address;
  __u32 mask;
  /* Next entry */
  struct filter_entry *next;
};

int do_log(const __u32 address, const char *hostname, const __u16 type, const short protocol);

#endif

/*
 * $Log: filter.h,v $
 * Revision 1.3  1998/11/29 20:50:11  hugo
 * New filtering mechanism
 *
 * Revision 1.2  1998/10/29 23:06:47  hugo
 * Added numerical filter structure
 *
 * Revision 1.1  1998/10/25 23:23:26  hugo
 * Initial revision
 *
 */
