/*
 *  netutils.h - functions common to all the protocols
 *
 *  Copyright (C) 1998 Hugo Haas
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef NETUTILS_H
#define NETUTILS_H

#include "defines.h"
#include <netinet/ip.h>

#define HOST_LENGTH 512

int host_lookup(char *host, __u32 in);
void log_suspicious(struct iphdr *pkt);
void log_packet(void *f, void *pkt);
int isip(char *string);

#endif

/*
 * $Log: netutils.h,v $
 * Revision 1.2  1998/10/25 23:23:26  hugo
 * Changes for version 0.2
 *
 * Revision 1.1  1998/10/25 15:06:50  hugo
 * Initial revision
 *
 */
